*-------------------------------------------------------------------------------
*-----------------------------------数据处理------------------------------------
*-------------------------------------------------------------------------------

*-缩尾 1%
winsor2 da1 da2 da11 rem coz2 coz3 coz_power coz_number coz22 coz33  ///
coz2_year coz3_year director djg auditfees epcm net institution size leverage ///
roa growth toptenrate independent magpay boardshare invrec analyst ,cut(1 99) replace

*-控制变量

global CV "institution size leverage roa growth toptenrate dual independent magpay boardshare invrec analyst opin aud "


*-------------------------------------------------------------------------------
*----------------------------------主回归分析-----------------------------------
*-------------------------------------------------------------------------------  	

*-固定效应

  *-年度效应
	
  xi i.year, prefix(dum)
  renvars dumyear*, presub(dumyear yr) 
	
  *-行业效应
  
  xi i.industry, prefix(dum)
  renvars dumindustry*, presub(duminduistry ind)
  

*-描述性统计【附录3-1】
  
tabstat da1 da2 coz1 coz2 coz3 $CV , stat(N mean p50 min max sd) format(%6.4f) c(s)
  
*-样本差异检验【附录3-2】
  
logout,save(均值检验) excel replace:ttable3 da1 da2,by( coz1 ) notitle
logout,save(中位数检验) excel replace:ttable3 da1 da2 ,by( coz1 ) median notitle
  

*-相关性分析【附录3-3】

pwcorr da1 da2 coz1 coz2 coz3 $CV ,sig
	
*-主回归分析【正文表2】	，【附录4】
	  
reg da1 coz1 $CV yr_* dumindustry_*, r
  est store m_1
reg da1 coz2 $CV yr_* dumindustry_*, r
  est store m_2 
reg da1 coz3 $CV yr_* dumindustry_*, r
  est store m_3
reg da2 coz1 $CV yr_* dumindustry_*, r
  est store m_4
reg da2 coz2 $CV yr_* dumindustry_*, r
  est store m_5 
reg da2 coz3 $CV yr_* dumindustry_*, r
  est store m_6

  *-导出结果
global model "m_1 m_2 m_3 m_4 m_5 m_6"  
esttab $model, scalar(N r2_a) compress  nogap                                ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order( coz1 coz2 coz3 $CV _cons )                            ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 表2基准回归结果.rtf, replace                                  ///
              scalar(N r2_a) compress  nogap                                 ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*")
   
   
*-------------------------------------------------------------------------------
*----------------------------------内生性检验-----------------------------------
*------------------------------------------------------------------------------- 
   
*-Heckman两阶段模型【附录5】

  *-生成滞后项
xtset code year

gen Laginstitution =L.institution
gen Lagsize=L.size
gen Lagleverage =L.leverage
gen Lagroa =L.roa
gen Laggrowth =L.growth
gen Lagtoptenrate =L.toptenrate
gen Lagdual =L.dual
gen Lagindependent =L.independent
gen Lagmagpay =L.magpay
gen Lagboardshare =L.boardshare
gen Laginvrec =L.invrec
gen Laganalyst =L.analyst
gen Lagopin =L.opin
gen Lagaud =L.aud   
global CV1 "Laginstitution Lagsize Lagleverage Lagroa Laggrowth Lagtoptenrate Lagdual Lagindependent Lagmagpay Lagboardshare Laginvrec Laganalyst Lagopin Lagaud "

   *-两阶段
heckman da1 coz2 institution size $CV yr_* dumindustry_* , ///
select ( coz1 = $CV1) twostep
  est store m_7
heckman da1 coz3 institution size $CV yr_* dumindustry_* , ///
select ( coz1 = $CV1) twostep
  est store m_8
heckman da2 coz2 institution size $CV yr_* dumindustry_* , ///
select ( coz1 = $CV1) twostep
  est store m_9
heckman da2 coz3 institution size $CV yr_* dumindustry_* , ///
select ( coz1 = $CV1) twostep
  est store m_10 
 
 *-导出结果 
global model "m_7 m_8 m_9 m_10" 
esttab $model, scalar(N r2_a) compress  nogap                               ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(coz2 coz3 lambda $CV _cons )             ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 附录5Heckman二阶段回归.rtf, replace                                  ///
              scalar(N  Wald chi2) compress  nogap                              ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*")
			  
  
 *-工具变量法【附录6】
   *-2SL
ivregress 2sls da1 $CV yr_* dumindustry_* ( coz2=d300 out300),r first
   est store m_11 
ivregress 2sls da2 $CV yr_* dumindustry_* ( coz2=d300 out300),r first
   est store m_12 
   *-GMM
ivregress gmm da1 $CV yr_* dumindustry_* ( coz2=d300 out300),r first
   est store m_13 
ivregress gmm da2 $CV yr_* dumindustry_* ( coz2=d300 out300),r first
   est store m_14
   
ivreg2 da1 $CV yr_* dumindustry_* ( coz2= d300 out300 ),r 
///Hansen J检验
ivreg2 da1 $CV yr_* dumindustry_* ( coz2= d300 out300 ) 
///Sargan 检验

   *-导出结果
global model "m_11 m_12 m_13 m_14"   
esttab $model, scalar(N r2_a) compress  nogap                               ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(coz2 $CV _cons )             ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 附录6工具变量法.rtf, replace                                  ///
              scalar(N  r2_a) compress  nogap                              ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*")
   
*-PSM-OLS【附录7】 

set seed 10101
gen ranorder=runiform()
sort ranorder

   *DA1的PSM+OLS
psmatch2 coz1 $CV yr_* dumindustry_*,outcome( da1 ) n(1) ate ties logit common
pstest $CV ,both graph
reg da1 coz2 $CV yr_* dumindustry_* if _weight!=.,r 
   est store m_15
reg da1 coz3 $CV yr_* dumindustry_* if _weight!=.,r 
   est store m_16
 
  *DA2的PSM+OLS
psmatch2 coz1 $CV yr_* dumindustry_*,outcome( da2 ) n(1) ate ties logit common
pstest $CV ,both graph
reg da2 coz2 $CV yr_* dumindustry_* if _weight!=.,r 
   est store m_17
reg da2 coz3 $CV yr_* dumindustry_* if _weight!=.,r 
   est store m_18  

   *-导出结果
global model "m_15 m_16 m_17 m_18"     
esttab $model, scalar(N r2_a) compress  nogap                               ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(coz2 coz3 $CV _cons )             ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 附录7PSM-OLS.rtf, replace                                  ///
              scalar(N  r2_a) compress  nogap                              ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*")
	
  *-脚注-半径卡尺匹配 
psmatch2 coz1 $CV yr_* dumindustry_*,outcome( da1 ) radius cal(0.01) ate ties logit common
psmatch2 coz1 $CV yr_* dumindustry_*,outcome( da2 ) radius cal(0.01) ate ties logit common
  *-脚注-核匹配 
psmatch2 coz1 $CV yr_* dumindustry_*,outcome( da1 ) kernel ate ties logit common
psmatch2 coz1 $CV yr_* dumindustry_*,outcome( da2 ) kernel ate ties logit common


*-PSM-DID【附录8-1】		  
bysort code: egen sumcoz1 = sum(coz1)
gen Treat=1 if wy==1
replace Treat=0 if sumcoz1==0
gen After=coz1
replace After=. if Treat==.
gen Treat_After=Treat*After
psmatch2 coz1 $CV yr_* dumindustry_*,outcome( da1 ) n(1) ate ties logit common
xtset code year
xtreg da1 Treat_After $CV yr_* if _weight!=., r fe
   est store m_19 			  			  
xtreg da2 Treat_After $CV yr_* if _weight!=., r fe
   est store m_20
   
*-差分模型【附录8-2】 
    *-生成差分项
gen Dcoz2=D.coz2
gen Dcoz3=D.coz3
gen Dda1=D.da1
gen Dda2=D.da2
gen Dinstitution =D.institution
gen Dsize=D.size
gen Dleverage =D.leverage
gen Droa =D.roa
gen Dgrowth =D.growth
gen Dtoptenrate =D.toptenrate
gen Ddual =D.dual
gen Dindependent =D.independent
gen Dmagpay =D.magpay
gen Dboardshare =D.boardshare
gen Dinvrec =D.invrec
gen Danalyst =D.analyst
gen Dopin =D.opin
gen Daud =D.aud   
global CV2 "Dinstitution Dsize Dleverage Droa Dgrowth Dtoptenrate Ddual Dindependent Dmagpay Dboardshare Dinvrec Danalyst Dopin Daud "  
    *-回归
xtreg Dda1 Dcoz3 $CV2 yr_* if _weight!=., r fe
   est store m_21    
xtreg Dda2 Dcoz3 $CV2 yr_* if _weight!=., r fe
   est store m_22
global model "m_19 m_20 m_21 m_22" 
esttab $model, scalar(N r2_a) compress  nogap                               ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(Treat_After Dcoz3 $CV _cons )             ///
               indicate("Year fe=yr_*")
		   
esttab $model using 附录8DID+差分.rtf, replace                                  ///
              scalar(N  r2_a) compress  nogap                              ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*")
   
   

			  
*-t+1期因变量【附录9-1】			  
			  
reg da11 coz2 $CV yr_* dumindustry_*, r
  est store m_23			  
reg da11 coz3 $CV yr_* dumindustry_*, r
  est store m_24
  
  
*-------------------------------------------------------------------------------
*----------------------------------稳健性检验-----------------------------------
*-------------------------------------------------------------------------------  
  
*-更换盈余管理指标【附录9-2】			  
			  
reg rem coz2 $CV yr_* dumindustry_*, r
  est store m_25			  
reg rem coz3 $CV yr_* dumindustry_*, r
  est store m_26 
  
 *-改变共同持股界定【附录9-3】			  
			  
reg da1 coz22 $CV yr_* dumindustry_*, r
  est store m_27			  
reg da1 coz33 $CV yr_* dumindustry_*, r
  est store m_28  
  
 global model "m_23 m_24 m_25 m_26 m_27 m_28" 
esttab $model, scalar(N r2_a) compress  nogap                               ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(coz2 coz3 coz22 coz33 $CV _cons )             ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 附录9内生性和稳健性检验（1）.rtf, replace                                  ///
              scalar(N  r2_a) compress  nogap                              ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*") 
  
 *-改变共同持股测量【附录10-1】
reg da1 coz2_year $CV yr_* dumindustry_*, r
  est store m_29			  
reg da1 coz3_year $CV yr_* dumindustry_*, r
  est store m_30
 
   *-子样本回归【附录10-2】			  
			  
reg da1 coz2 $CV yr_* dumindustry_* if year<=2014, r
  est store m_31			  
reg da1 coz3 $CV yr_* dumindustry_*if year<=2014, r
  est store m_32  
 
   *-新增控制变量【附录10-3】			  
gen dinstitution=0
replace dinstitution=1 if institution>10		  
reg da1 coz2 $CV dinstitution yr_* dumindustry_*, r
  est store m_33			  
reg da1 coz3 $CV dinstitution yr_* dumindustry_*, r
  est store m_34
  global model "m_29 m_30 m_31 m_32 m_33 m_34" 
esttab $model, scalar(N r2_a) compress  nogap                               ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(coz2_year coz3_year coz2 coz3 $CV _cons )             ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 附录10稳健性检验（2）.rtf, replace                                  ///
              scalar(N  r2_a) compress  nogap                              ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*") 


*-------------------------------------------------------------------------------
*----------------------------------机制检验-------------------------------------
*-------------------------------------------------------------------------------			  
				  
 *-“机构协同效应”检验			  
	
   *-同行业势力【正文表3-1】
reg da1 coz_power $CV yr_* dumindustry_*, r
  est store m_35			  
reg da2 coz_power $CV yr_* dumindustry_*, r
  est store m_36 			  

   *-行业内竞争【正文表3-2】
gen depcm=1
replace depcm=0 if epcm>=-0.02216
gen coz2_depcm=coz2*depcm
reg da1 coz2_depcm coz2 depcm $CV yr_* dumindustry_*, r
  est store m_37			  
reg da2 coz2_depcm coz2 depcm $CV yr_* dumindustry_*, r
  est store m_38
  
   *-导出结果 
global model "m_35 m_36 m_37 m_38"     
esttab $model, scalar(N r2_a) compress  nogap                               ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(coz_power coz2_depcm coz2 depcm $CV _cons )             ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 表3机构协同机制检验.rtf, replace                                  ///
              scalar(N  r2_a) compress  nogap                              ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*")  

*-“监督治理效应”检验

  *-“退出威胁”机制【正文表4-1】
reg da1 net $CV yr_* dumindustry_*, r
  est store m_39			  
reg da2 net $CV yr_* dumindustry_*, r
  est store m_40   
  
  *-“规模经济”机制【正文表4-2】
reg da1 coz_number $CV yr_* dumindustry_*, r
  est store m_41			  
reg da2 coz_number $CV yr_* dumindustry_*, r
  est store m_42
  
  *-导出结果 
global model "m_39 m_40 m_41 m_42"     
esttab $model, scalar(N r2_a) compress  nogap                               ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(net coz_number $CV _cons )             ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 表4监督治理机制检验.rtf, replace                                  ///
              scalar(N  r2_a) compress  nogap                              ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*") 
  
  
*-具体途径探寻	
  
  *-委派董监高【正文表5-1】
reg da1 coz2 $CV yr_* dumindustry_*, r
  est store m_43
reg djg coz2 $CV yr_* dumindustry_*, r
  est store m_44 
reg da1 coz2 djg $CV yr_* dumindustry_*, r
  est store m_45
 sgmediation da1 , mv( djg ) iv( coz2 ) cv($CV yr_* dumindustry_*)
 // Soblel Z value: -1.77
 
  *-委派董事【正文表5-2】
reg da1 coz2 $CV yr_* dumindustry_*, r
  est store m_46
reg director coz2 $CV yr_* dumindustry_*, r
  est store m_47 
reg da1 coz2 director $CV yr_* dumindustry_*, r
  est store m_48
 sgmediation da1 , mv( director ) iv( coz2 ) cv($CV yr_* dumindustry_*)
 // Soblel Z value: -1.732 
 
   *-导出结果 
global model "m_43 m_44 m_45 m_47 m_48 "     
esttab $model, scalar(N r2_a) compress  nogap                               ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(coz2 djg director $CV _cons )             ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 表5具体途径探寻.rtf, replace                                  ///
              scalar(N  r2_a) compress  nogap                              ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*") 
 
 
*-------------------------------------------------------------------------------
*----------------------------------拓展性讨论-----------------------------------
*-------------------------------------------------------------------------------

*-宏观经济的影响【附录11-1】
gen coz2×dgdp=coz2*dgdp
reg da1 coz2×dgdp coz2 dgdp $CV yr_* dumindustry_*, r
  est store m_49			  
reg da2 coz2×dgdp coz2 dgdp $CV yr_* dumindustry_*, r
  est store m_50 
  
*-产权性质的影响【附录11-2】
gen coz2×state=coz2*state
reg da1 coz2×state coz2 state $CV yr_* dumindustry_*, r
  est store m_51			  
reg da2 coz2×state coz2 state $CV yr_* dumindustry_*, r
  est store m_52
  
*-经济后果检验——权威机构的认可【附录11-3】
gen da1×coz2=da1*coz2
gen da1×coz3=da1*coz3
reg rank coz2 $CV yr_* dumindustry_*, r
  est store m_53			  
reg rank da1×coz2 da1 coz2 $CV yr_* dumindustry_*, r
  est store m_54 
 
*-经济后果检验——审计收费的减少【附录11-4】			  
gen FEE=ln(auditfees)						  
reg FEE da1×coz2 da1 coz2 $CV yr_* dumindustry_*, r
  est store m_55
reg FEE da1×coz3 da1 coz3 $CV yr_* dumindustry_*, r
  est store m_56    
   
   *-导出结果 
global model "m_49 m_50 m_51 m_52 m_53 m_54 m_55 m_56"     
esttab $model, scalar(N r2_a) compress  nogap                                ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(coz2 coz2×dgdp dgdp coz2×state state da1×coz2 da1×coz3 coz3 da1  $CV _cons )   ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 附录11宏观经济、产权性质及经济后果.rtf, replace            ///
              scalar(N  r2_a) compress  nogap                                ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*")

			  
*-机构异质性检验【附录12】
reg da1 coz3 $CV yr_* dumindustry_* if coz_long==1, r
  est store m_57
reg da1 coz3 $CV yr_* dumindustry_* if coz_long==0, r  
  est store m_58
reg da2 coz3 $CV yr_* dumindustry_* if coz_long==1, r
  est store m_59
reg da2 coz3 $CV yr_* dumindustry_* if coz_long==0, r  
  est store m_60
 global model "m_57 m_58 m_59 m_60" 
esttab $model, scalar(N r2_a) compress  nogap                                ///
               star(* 0.1 ** 0.05 *** 0.01)                                  ///
               b(%6.4f) t(%6.4f)                                             ///
			   order(coz3 $CV _cons )                                        ///
			   indicate("Year fe=yr_*""Industry fe=dumindustry_*")
		   
esttab $model using 附录12长期和短期共同机构投资者效应检验.rtf, replace        ///
              scalar(N  r2_a) compress  nogap                                ///
              star(* 0.1 ** 0.05 *** 0.01)                                   ///
			  b(%6.4f) t(%6.4f)                                              ///
              indicate("Year fe=yr_*""Industry fe=dumindustry_*")			  
